AIR security

Adobe AIR 1.0 and later